<?php

namespace Drupal\noahs_page_builder\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\system\SystemManager;
use Symfony\Component\DependencyInjection\ContainerInterface;

class NoahsPageController extends ControllerBase {

  protected $systemManager;

  public function __construct(SystemManager $system_manager) {
    $this->systemManager = $system_manager;
  }

  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('system.manager')
    );
  }

  public function adminPage() {
    $blocks = $this->systemManager->getBlockContents();
  
    // HTML personalizado que quieres añadir, por ejemplo un encabezado o instrucciones.
    $custom_html = [
      '#type' => 'markup',
      '#markup' => '<div class="admin-header"><h2>Panel de configuración de Noah</h2><p>Desde aquí puedes acceder a las herramientas de administración del builder.</p></div>',
      '#allowed_tags' => ['div', 'h2', 'p'],
    ];
  
    return [
      $custom_html,
      $blocks,
    ];
  }
}
